# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fccc/version'

Gem::Specification.new do |spec|
  spec.name          = "fccc"
  spec.version       = Fccc::VERSION
  spec.authors       = ["Akihiko ITOH"]
  spec.email         = ["itoh@ai.soc.i.kyoto-u.ac.jp"]

  spec.summary       = "Search images on Flickr for given keywords and create a collage with them."
  spec.description   = "Description: Search images on Flickr for given keywords and create a collage with them."
  spec.homepage      = "https://github.com/AkihikoITOH/fccc"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "https://rubygems.org"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency "thor", "~> 0.19.1"
  spec.add_dependency "flickraw", "~> 0.9.8"
  spec.add_dependency "rmagick", "~> 2.15", ">= 2.15.4"
  spec.add_dependency "random-word", "~> 1.3"
end
